/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */
package com.jcg.maptomultivaluemap1;

import java.util.Map;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;

/**
 *
 * @author omozegieaziegbe
 */
public class MapToMultiValueMapExample1 {

    public static MultiValueMap<String, String> convert(Map<String, String[]> map) {
        MultiValueMap<String, String> multiValueMap = new LinkedMultiValueMap<>();

        for (Map.Entry<String, String[]> entry : map.entrySet()) {
            String key = entry.getKey();
            String[] values = entry.getValue();

            for (String value : values) {
                multiValueMap.add(key, value);
            }
        }

        return multiValueMap;
    }

    public static void main(String[] args) {
        Map<String, String[]> carPreferences = Map.of(
                "Toyota", new String[]{"Camry", "Corolla", "Prius"},
                "Ford", new String[]{"Mustang", "Fiesta", "Focus"},
                "BMW", new String[]{"X5", "X3", "i8"}
        );

        MultiValueMap<String, String> multiValueMap = convert(carPreferences);

        System.out.println(multiValueMap);
    }
}
